This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1004195 - fedora19 UEFI-mode boot hang with the msg "secure boot not enabled" after installation
fedora19 UEFI-mode boot hang with the msg "secure boot not enabled" after ins...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: grub2 (Show other bugs)
19
x86_64 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-04 03:56 EDT by song yang
Modified: 2015-02-17 12:03 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 12:03:20 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
The hardware information (26.48 KB, text/plain)
2013-09-04 22:45 EDT, song yang
no flags Details
the screen snapshot of hanging boot (12.84 KB, image/jpeg)
2013-09-04 22:59 EDT, song yang
no flags Details

  None (edit)
Description song yang 2013-09-04 03:56:25 EDT
Description of problem:
After fresh installation(Fedora-19-x86_64-DVD.iso) via network, fedora19 hang on the 1st boot with msg "secure boot not enabled" in UEFI mode. 

During installation with DVD media in UEFI mode, also hang with "secure boot not enabled" after select "install fedora19"


For legacy mode, the boot and installation are successfully.

Version-Release number of selected component (if applicable):
grub2-2.00-22.fc19.x86_64.rpm
grub2-efi-2.00-22.fc19.x86_64.rpm
grub2-tools-2.00-22.fc19.x86_64.rpm
kernel-3.9.5-301.fc19.x86_64.rpm

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Brian Lane 2013-09-04 12:28:19 EDT
That message means that your system either has SB disabled, or doesn't support it -- but it is for informational purposes only, you should still be able to install in UEFI mode.

Can you include some details about your hardware?
Comment 2 song yang 2013-09-04 22:45:08 EDT
Created attachment 793975 [details]
The hardware information

the hardware information is the output of dmidecode
Comment 3 song yang 2013-09-04 22:47:13 EDT
(In reply to Brian C. Lane from comment #1)
> That message means that your system either has SB disabled, or doesn't
> support it -- but it is for informational purposes only, you should still be
> able to install in UEFI mode.
> 
> Can you include some details about your hardware?

The server model :

IBM x3550m4

The hardware information is attached.
Comment 4 song yang 2013-09-04 22:56:20 EDT
ps,

UEFI Build Ver: 1.30

The screen snap of the hanging boot is attached
Comment 5 song yang 2013-09-04 22:59:13 EDT
Created attachment 793978 [details]
the screen snapshot of hanging boot
Comment 6 song yang 2013-09-09 02:17:15 EDT
hi, is there any new update on this bug? thanks
Comment 7 Joe Julian 2013-09-29 13:31:09 EDT
I had the same problem with my MSI GX70. At upstream's suggestion, I had to "insmod linux" and change "linuxefi" and "initrdefi" to "linux" and "initrd" in grub.cfg to make it work. 

This was true for the install media and live image (and I had to add the efi linux.mod).
Comment 8 Fedora End Of Life 2015-01-09 14:43:03 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Fedora End Of Life 2015-02-17 12:03:20 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.